Subject: Re: bug#68765: 30.0.50; Adding window-tool-bar package.

From: Philip Kaludercic <[email-masked]>
Date: Mon, 20 May 2024 06:39:25 +0000

Jared Finder <[email-masked]> writes:

> On 2024-05-19 07:41, Philip Kaludercic wrote:
>> Jared Finder <[email-masked]> writes:
>>> Is there anything else that needs to be done to get this package on
>>> ELPA?  I'd like to use this package on older Emacsen as well.
>> It just has to be added to ELPA, but that is a one-line patch to
>> elpa.git.  Here is the tarball I generated locally:
>> Can you confirm that it looks alright and works on older systems
>> (use
>> M-x package-install-file)?
>
> Confirmed, just tested it! It worked fine on Emacs 29.1 the package's
> minimum supported version.

1+

>>>> Is there anything else that needs to be done to get this package
>>>> on
>>>> ELPA?  I'd like to use this package on older Emacsen as well.
>>> Philip will tell, but what I meant was to ask you to work on
>>> updates
>>> for NEWS and the manual.
>> Where will the package be documented?  Should anything be added to
>> the
>> ELPA package?
>
> I was hoping documentation could just stay in the core Emacs manual.
> window-tool-bar is a core package and I was hoping to document it next
> to existing documentation on the existing (frame) tool bar.  Does that
> seem reasonable?

Sure, in that case the core should just link to the specific Info node.
As soon as the manual is updated on the gnu.org website I'd also add a
HTTP link for people previewing the package to be able to see as well.

Otherwise, I'll add the package to ELPA now, and I hope it will appear
on the site in a few hours.

>   -- MJF

-- 
	Philip Kaludercic on peregrine